## org.h2.android
Class H2DoneException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              android.database.SQLException
                  org.h2.android.H2Exception
                      org.h2.android.H2DoneException

All Implemented Interfaces:
  java.io.Serializable

    public class H2DoneException

extends H2Exception

This exception is thrown the requested data is not available, for example when calling simpleQueryForString() or simpleQueryForLong() for a statement that doesn't return a value.

See Also:
  Serialized Form

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`